db4o |

# Db4o.OpenFile Method

opens an ObjectContainer on the specified database file for local use.
Subsidiary calls with the same database file name will return the same ObjectContainer object.
Every call to

    openFile()

requires a corresponding ObjectContainer.close .
Database files can only be accessed for readwrite access from one process (one Java VM) at one time. All versions except for db4o mobile edition use an internal mechanism to lock the database file for other processes.
public static ObjectContainer OpenFile(
string databaseFileName
);

#### Parameters

databaseFileName
  the full path to the database file

#### Return Value

an open ObjectContainer

#### See Also

Db4o Class | com.db4o Namespace | com.db4o.config.Configuration.ReadOnly | com.db4o.config.Configuration.Encrypt | com.db4o.config.Configuration.Password